tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Berneburg, Cris J. - US" <cberneb...@caci.com>
Subject Re: help with org.apache.jasper.compiler.JDTCompiler issue?
Date Thu, 20 Sep 2018 17:08:43 GMT
Konstantin, et al

Well, it's all a moot point now.  :-)

cjb> After reverting Java and our app, the app still
cjb> won't run and still throws compilation errors.

cjb> * Staging Server - after rollback
cjb> JRE 8u171, 32 bit
cjb> Tomcat 6.0.32, 32 bit (unchanged)
cjb> App v3.3.2

kk> My guess is that the Eclipse Compiler for Java in
kk> your Tomcat 6.0.32 was released N years ago and
kk> cannot deal with Java 8u181. From the message it
kk> looks like it cannot parse some class file.

cjb> Except that we reverted both Java and our
cjb> application back to the previous versions, 8u171
cjb> and 3.3.2 respectively, and still get the error.

cjb> * Partial stack trace:
cjb> org.apache.jasper.compiler.JDTCompiler$1 findType
cjb> SEVERE: Compilation error
cjb> org.eclipse.jdt.internal.compiler.classfmt.classFormatException
cjb> [...]

kk> Option 2: Upgrade!!
kk> Tomcat 6 has reached end of life.

cjb> I knew someone would say that.  :-)  Yeah, that's "next" down the road, once this
round of upgrades is done.

The SA installed JRE 8u181 and TC 8.5.30, which fixed the problem.  Bypassed CM, testing,
approval process, etc. - but it works!  Still don't understand what went wrong.

--
Cris Berneburg
CACI Lead Software Engineer


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message